> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create client

> Create a new client in the organisation. The client will be created in the PMS system if available.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/organisations/{organisationId}/clients
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/clients:
    post:
      tags:
        - Client
      summary: Create client
      description: >-
        Create a new client in the organisation. The client will be created in
        the PMS system if available.
      operationId: ClientController_create
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Client'
components:
  schemas:
    ClientCreateParams:
      type: object
      properties:
        firstName:
          type: string
          description: The first name of the client
          example: John
        lastName:
          type: string
          description: The last name of the client
          example: Doe
        mobileNumber:
          type: string
          format: mobile-phone
          description: The mobile number of the client
          example: '+27712345678'
        email:
          type: string
          format: email
          description: The email address of the client
          example: john.doe@example.com
        dateOfBirth:
          type: string
          description: The date of birth of the client
          example: '1990-01-01'
    Client:
      type: object
      properties:
        memberId:
          type: string
          description: The ID of the member if the client has joined HaltH
          example: memb_38JiySr0Z0ePjHpqvosimyLQuUC
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          type: string
        mobileNumber:
          type: string
        email:
          type: string
        source:
          enum:
            - pms
            - halth
            - unknown
          type: string
        pmsPatientId:
          type: string
        pmsCreatedAt:
          format: date-time
          type: string
        deleted:
          type: boolean
        createdAt:
          format: date-time
          type: string
        profileImageUrl:
          type: string
      required:
        - id
        - deleted
        - createdAt

````